Skip to main content
Weavr API
Sends

Cancel a send

POST/sends/{id}/cancel

Cancels the send identified by id before it executes.

Only sends in SCHEDULED can be canceled with this operation. Canceling a scheduled send doesn't require Strong Customer Authentication.

Request

Path parameters

Request body

application/json
{}
TransactionSingleCancelRequestTransactionSingleCancelRequest · object · 1 field

Responses

200OK

Success

Headers
Body
application/json
{}
SendSend · object · 16 fields
Response example
{  "id": "string",  "profileId": "10001",  "tag": "customer-123",  "source": {    "id": "123456789",    "type": "managed_accounts"  },  "sourceFee": {    "currency": "GBP",    "amount": 1250  },  "destination": {    "id": "123456789",    "type": "managed_accounts"  },  "destinationAmount": {    "currency": "GBP",    "amount": 1250  },  "destinationFee": {    "currency": "GBP",    "amount": 1250  },  "transactionAmount": {    "currency": "GBP",    "amount": 1250  },  "description": "string",  "state": "INVALID",  "challengeExemptionReason": "LOW_VALUE",  "creationTimestamp": 0,  "scheduledTimestamp": "1786118400000",  "executionTimestamp": "string",  "cancellationReason": "string"}